<?php
/*
Plugin Name: BBB Seal
Description: Allows you to enter the javascript for the BBB Accredited Business Seal
*/

add_action( 'admin_menu', 'register_BBB_menu_page' );

function register_BBB_menu_page(){
    add_menu_page( 'BBB Seal', 'BBB Seal', 'manage_options', 'custompage', 'BBB_menu_page', '', 6 ); 
}

function BBB_menu_page(){
    //must check that the user has the required capability 
    if (!current_user_can('manage_options'))
    {
      wp_die( __('You do not have sufficient permissions to access this page.') );
    }

    // variables for the field and option names 
    $opt_name = 'bbb_script';
    $hidden_field_name = 'mt_submit_hidden';
    $data_field_name = 'bbb_script';

    // Read in existing option value from database
    $opt_val = get_option( $opt_name );
    
    
    // See if the user has posted us some information
    // If they did, this hidden field will be set to 'Y'
    if( isset($_POST[ $hidden_field_name ]) && $_POST[ $hidden_field_name ] == 'Y' ) {
        // Read their posted value
        $opt_val = $_POST[ $data_field_name ];

        // Save the posted value in the database
        update_option( $opt_name, $opt_val );

        // Put an settings updated message on the screen

?>
<div class="updated"><p><strong><?php _e('settings saved.', 'menu-test' ); ?></strong></p></div>
<?php

    }

    // Now display the settings editing screen

    echo '<div class="wrap">';

    // header

    echo "<h2>" . __( 'BBB Accredited Business Seal', 'menu-test' ) . "</h2>";

    // settings form
    
    ?>

<form name="form1" method="post" action="">
<input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">

<p><?php _e("Enter BBB Accredited Business Seal Javascript Here:", 'menu-test' ); ?> 
    </p>
<textarea name="<?php echo $data_field_name; ?>" cols="100" rows="20">
    <?php echo stripslashes($opt_val); ?>
</textarea><hr />

<p class="submit">
<input type="submit" name="Submit" class="button-primary" value="<?php esc_attr_e('Save Changes') ?>" />
</p>

</form>
</div>

<?php
}

function add_bbb_script() {

  $bbb_js = get_option('bbb_script');
  
  echo stripslashes($bbb_js);
}

add_action( 'wp_head', 'add_bbb_script' );

?>
