<?php
namespace Solid_Backups\Strauss\Aws;

/**
 * Builds AWS clients based on configuration settings.
 *
 * @method \Solid_Backups\Strauss\Aws\ACMPCA\ACMPCAClient createACMPCA(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionACMPCA(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ARCZonalShift\ARCZonalShiftClient createARCZonalShift(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionARCZonalShift(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\AccessAnalyzer\AccessAnalyzerClient createAccessAnalyzer(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAccessAnalyzer(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Account\AccountClient createAccount(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAccount(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Acm\AcmClient createAcm(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAcm(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\AlexaForBusiness\AlexaForBusinessClient createAlexaForBusiness(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAlexaForBusiness(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Amplify\AmplifyClient createAmplify(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAmplify(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\AmplifyBackend\AmplifyBackendClient createAmplifyBackend(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAmplifyBackend(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\AmplifyUIBuilder\AmplifyUIBuilderClient createAmplifyUIBuilder(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAmplifyUIBuilder(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ApiGateway\ApiGatewayClient createApiGateway(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionApiGateway(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ApiGatewayManagementApi\ApiGatewayManagementApiClient createApiGatewayManagementApi(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionApiGatewayManagementApi(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ApiGatewayV2\ApiGatewayV2Client createApiGatewayV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionApiGatewayV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\AppConfig\AppConfigClient createAppConfig(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAppConfig(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\AppConfigData\AppConfigDataClient createAppConfigData(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAppConfigData(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\AppFabric\AppFabricClient createAppFabric(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAppFabric(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\AppIntegrationsService\AppIntegrationsServiceClient createAppIntegrationsService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAppIntegrationsService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\AppMesh\AppMeshClient createAppMesh(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAppMesh(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\AppRegistry\AppRegistryClient createAppRegistry(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAppRegistry(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\AppRunner\AppRunnerClient createAppRunner(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAppRunner(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\AppSync\AppSyncClient createAppSync(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAppSync(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Appflow\AppflowClient createAppflow(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAppflow(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ApplicationAutoScaling\ApplicationAutoScalingClient createApplicationAutoScaling(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionApplicationAutoScaling(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ApplicationCostProfiler\ApplicationCostProfilerClient createApplicationCostProfiler(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionApplicationCostProfiler(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ApplicationDiscoveryService\ApplicationDiscoveryServiceClient createApplicationDiscoveryService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionApplicationDiscoveryService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ApplicationInsights\ApplicationInsightsClient createApplicationInsights(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionApplicationInsights(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Appstream\AppstreamClient createAppstream(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAppstream(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Athena\AthenaClient createAthena(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAthena(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\AuditManager\AuditManagerClient createAuditManager(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAuditManager(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\AugmentedAIRuntime\AugmentedAIRuntimeClient createAugmentedAIRuntime(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAugmentedAIRuntime(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\AutoScaling\AutoScalingClient createAutoScaling(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAutoScaling(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\AutoScalingPlans\AutoScalingPlansClient createAutoScalingPlans(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionAutoScalingPlans(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Backup\BackupClient createBackup(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionBackup(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\BackupGateway\BackupGatewayClient createBackupGateway(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionBackupGateway(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\BackupStorage\BackupStorageClient createBackupStorage(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionBackupStorage(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Batch\BatchClient createBatch(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionBatch(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\BillingConductor\BillingConductorClient createBillingConductor(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionBillingConductor(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Braket\BraketClient createBraket(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionBraket(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Budgets\BudgetsClient createBudgets(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionBudgets(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Chime\ChimeClient createChime(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionChime(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ChimeSDKIdentity\ChimeSDKIdentityClient createChimeSDKIdentity(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionChimeSDKIdentity(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ChimeSDKMediaPipelines\ChimeSDKMediaPipelinesClient createChimeSDKMediaPipelines(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionChimeSDKMediaPipelines(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ChimeSDKMeetings\ChimeSDKMeetingsClient createChimeSDKMeetings(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionChimeSDKMeetings(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ChimeSDKMessaging\ChimeSDKMessagingClient createChimeSDKMessaging(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionChimeSDKMessaging(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ChimeSDKVoice\ChimeSDKVoiceClient createChimeSDKVoice(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionChimeSDKVoice(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CleanRooms\CleanRoomsClient createCleanRooms(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCleanRooms(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Cloud9\Cloud9Client createCloud9(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCloud9(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CloudControlApi\CloudControlApiClient createCloudControlApi(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCloudControlApi(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CloudDirectory\CloudDirectoryClient createCloudDirectory(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCloudDirectory(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CloudFormation\CloudFormationClient createCloudFormation(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCloudFormation(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CloudFront\CloudFrontClient createCloudFront(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCloudFront(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CloudHSMV2\CloudHSMV2Client createCloudHSMV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCloudHSMV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CloudHsm\CloudHsmClient createCloudHsm(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCloudHsm(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CloudSearch\CloudSearchClient createCloudSearch(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCloudSearch(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CloudSearchDomain\CloudSearchDomainClient createCloudSearchDomain(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCloudSearchDomain(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CloudTrail\CloudTrailClient createCloudTrail(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCloudTrail(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CloudTrailData\CloudTrailDataClient createCloudTrailData(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCloudTrailData(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CloudWatch\CloudWatchClient createCloudWatch(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCloudWatch(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CloudWatchEvents\CloudWatchEventsClient createCloudWatchEvents(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCloudWatchEvents(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CloudWatchEvidently\CloudWatchEvidentlyClient createCloudWatchEvidently(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCloudWatchEvidently(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CloudWatchLogs\CloudWatchLogsClient createCloudWatchLogs(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCloudWatchLogs(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CloudWatchRUM\CloudWatchRUMClient createCloudWatchRUM(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCloudWatchRUM(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CodeArtifact\CodeArtifactClient createCodeArtifact(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCodeArtifact(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CodeBuild\CodeBuildClient createCodeBuild(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCodeBuild(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CodeCatalyst\CodeCatalystClient createCodeCatalyst(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCodeCatalyst(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CodeCommit\CodeCommitClient createCodeCommit(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCodeCommit(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CodeDeploy\CodeDeployClient createCodeDeploy(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCodeDeploy(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CodeGuruProfiler\CodeGuruProfilerClient createCodeGuruProfiler(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCodeGuruProfiler(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CodeGuruReviewer\CodeGuruReviewerClient createCodeGuruReviewer(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCodeGuruReviewer(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CodeGuruSecurity\CodeGuruSecurityClient createCodeGuruSecurity(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCodeGuruSecurity(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CodePipeline\CodePipelineClient createCodePipeline(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCodePipeline(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CodeStar\CodeStarClient createCodeStar(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCodeStar(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CodeStarNotifications\CodeStarNotificationsClient createCodeStarNotifications(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCodeStarNotifications(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CodeStarconnections\CodeStarconnectionsClient createCodeStarconnections(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCodeStarconnections(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CognitoIdentity\CognitoIdentityClient createCognitoIdentity(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCognitoIdentity(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CognitoIdentityProvider\CognitoIdentityProviderClient createCognitoIdentityProvider(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCognitoIdentityProvider(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CognitoSync\CognitoSyncClient createCognitoSync(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCognitoSync(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Comprehend\ComprehendClient createComprehend(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionComprehend(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ComprehendMedical\ComprehendMedicalClient createComprehendMedical(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionComprehendMedical(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ComputeOptimizer\ComputeOptimizerClient createComputeOptimizer(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionComputeOptimizer(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ConfigService\ConfigServiceClient createConfigService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionConfigService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Connect\ConnectClient createConnect(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionConnect(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ConnectCampaignService\ConnectCampaignServiceClient createConnectCampaignService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionConnectCampaignService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ConnectCases\ConnectCasesClient createConnectCases(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionConnectCases(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ConnectContactLens\ConnectContactLensClient createConnectContactLens(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionConnectContactLens(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ConnectParticipant\ConnectParticipantClient createConnectParticipant(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionConnectParticipant(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ConnectWisdomService\ConnectWisdomServiceClient createConnectWisdomService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionConnectWisdomService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ControlTower\ControlTowerClient createControlTower(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionControlTower(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CostExplorer\CostExplorerClient createCostExplorer(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCostExplorer(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CostandUsageReportService\CostandUsageReportServiceClient createCostandUsageReportService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCostandUsageReportService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\CustomerProfiles\CustomerProfilesClient createCustomerProfiles(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionCustomerProfiles(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\DAX\DAXClient createDAX(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionDAX(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\DLM\DLMClient createDLM(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionDLM(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\DataExchange\DataExchangeClient createDataExchange(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionDataExchange(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\DataPipeline\DataPipelineClient createDataPipeline(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionDataPipeline(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\DataSync\DataSyncClient createDataSync(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionDataSync(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\DatabaseMigrationService\DatabaseMigrationServiceClient createDatabaseMigrationService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionDatabaseMigrationService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Detective\DetectiveClient createDetective(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionDetective(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\DevOpsGuru\DevOpsGuruClient createDevOpsGuru(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionDevOpsGuru(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\DeviceFarm\DeviceFarmClient createDeviceFarm(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionDeviceFarm(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\DirectConnect\DirectConnectClient createDirectConnect(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionDirectConnect(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\DirectoryService\DirectoryServiceClient createDirectoryService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionDirectoryService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\DocDB\DocDBClient createDocDB(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionDocDB(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\DocDBElastic\DocDBElasticClient createDocDBElastic(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionDocDBElastic(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\DynamoDb\DynamoDbClient createDynamoDb(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionDynamoDb(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\DynamoDbStreams\DynamoDbStreamsClient createDynamoDbStreams(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionDynamoDbStreams(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\EBS\EBSClient createEBS(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionEBS(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\EC2InstanceConnect\EC2InstanceConnectClient createEC2InstanceConnect(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionEC2InstanceConnect(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ECRPublic\ECRPublicClient createECRPublic(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionECRPublic(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\EKS\EKSClient createEKS(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionEKS(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\EMRContainers\EMRContainersClient createEMRContainers(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionEMRContainers(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\EMRServerless\EMRServerlessClient createEMRServerless(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionEMRServerless(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Ec2\Ec2Client createEc2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionEc2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Ecr\EcrClient createEcr(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionEcr(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Ecs\EcsClient createEcs(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionEcs(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Efs\EfsClient createEfs(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionEfs(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ElastiCache\ElastiCacheClient createElastiCache(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionElastiCache(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ElasticBeanstalk\ElasticBeanstalkClient createElasticBeanstalk(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionElasticBeanstalk(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ElasticInference\ElasticInferenceClient createElasticInference(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionElasticInference(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ElasticLoadBalancing\ElasticLoadBalancingClient createElasticLoadBalancing(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionElasticLoadBalancing(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ElasticLoadBalancingV2\ElasticLoadBalancingV2Client createElasticLoadBalancingV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionElasticLoadBalancingV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ElasticTranscoder\ElasticTranscoderClient createElasticTranscoder(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionElasticTranscoder(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ElasticsearchService\ElasticsearchServiceClient createElasticsearchService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionElasticsearchService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Emr\EmrClient createEmr(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionEmr(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\EntityResolution\EntityResolutionClient createEntityResolution(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionEntityResolution(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\EventBridge\EventBridgeClient createEventBridge(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionEventBridge(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\FIS\FISClient createFIS(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionFIS(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\FMS\FMSClient createFMS(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionFMS(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\FSx\FSxClient createFSx(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionFSx(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\FinSpaceData\FinSpaceDataClient createFinSpaceData(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionFinSpaceData(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Firehose\FirehoseClient createFirehose(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionFirehose(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ForecastQueryService\ForecastQueryServiceClient createForecastQueryService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionForecastQueryService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ForecastService\ForecastServiceClient createForecastService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionForecastService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\FraudDetector\FraudDetectorClient createFraudDetector(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionFraudDetector(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\GameLift\GameLiftClient createGameLift(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionGameLift(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\GameSparks\GameSparksClient createGameSparks(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionGameSparks(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Glacier\GlacierClient createGlacier(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionGlacier(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\GlobalAccelerator\GlobalAcceleratorClient createGlobalAccelerator(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionGlobalAccelerator(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Glue\GlueClient createGlue(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionGlue(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\GlueDataBrew\GlueDataBrewClient createGlueDataBrew(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionGlueDataBrew(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Greengrass\GreengrassClient createGreengrass(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionGreengrass(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\GreengrassV2\GreengrassV2Client createGreengrassV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionGreengrassV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\GroundStation\GroundStationClient createGroundStation(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionGroundStation(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\GuardDuty\GuardDutyClient createGuardDuty(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionGuardDuty(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Health\HealthClient createHealth(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionHealth(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\HealthLake\HealthLakeClient createHealthLake(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionHealthLake(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Honeycode\HoneycodeClient createHoneycode(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionHoneycode(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IVS\IVSClient createIVS(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIVS(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IVSRealTime\IVSRealTimeClient createIVSRealTime(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIVSRealTime(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Iam\IamClient createIam(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIam(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IdentityStore\IdentityStoreClient createIdentityStore(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIdentityStore(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ImportExport\ImportExportClient createImportExport(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionImportExport(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Inspector\InspectorClient createInspector(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionInspector(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Inspector2\Inspector2Client createInspector2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionInspector2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\InternetMonitor\InternetMonitorClient createInternetMonitor(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionInternetMonitor(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IoT1ClickDevicesService\IoT1ClickDevicesServiceClient createIoT1ClickDevicesService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIoT1ClickDevicesService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IoT1ClickProjects\IoT1ClickProjectsClient createIoT1ClickProjects(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIoT1ClickProjects(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IoTAnalytics\IoTAnalyticsClient createIoTAnalytics(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIoTAnalytics(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IoTDeviceAdvisor\IoTDeviceAdvisorClient createIoTDeviceAdvisor(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIoTDeviceAdvisor(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IoTEvents\IoTEventsClient createIoTEvents(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIoTEvents(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IoTEventsData\IoTEventsDataClient createIoTEventsData(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIoTEventsData(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IoTFleetHub\IoTFleetHubClient createIoTFleetHub(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIoTFleetHub(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IoTFleetWise\IoTFleetWiseClient createIoTFleetWise(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIoTFleetWise(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IoTJobsDataPlane\IoTJobsDataPlaneClient createIoTJobsDataPlane(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIoTJobsDataPlane(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IoTRoboRunner\IoTRoboRunnerClient createIoTRoboRunner(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIoTRoboRunner(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IoTSecureTunneling\IoTSecureTunnelingClient createIoTSecureTunneling(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIoTSecureTunneling(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IoTSiteWise\IoTSiteWiseClient createIoTSiteWise(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIoTSiteWise(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IoTThingsGraph\IoTThingsGraphClient createIoTThingsGraph(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIoTThingsGraph(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IoTTwinMaker\IoTTwinMakerClient createIoTTwinMaker(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIoTTwinMaker(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IoTWireless\IoTWirelessClient createIoTWireless(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIoTWireless(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Iot\IotClient createIot(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIot(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\IotDataPlane\IotDataPlaneClient createIotDataPlane(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionIotDataPlane(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Kafka\KafkaClient createKafka(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionKafka(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\KafkaConnect\KafkaConnectClient createKafkaConnect(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionKafkaConnect(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\KendraRanking\KendraRankingClient createKendraRanking(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionKendraRanking(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Keyspaces\KeyspacesClient createKeyspaces(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionKeyspaces(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Kinesis\KinesisClient createKinesis(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionKinesis(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\KinesisAnalytics\KinesisAnalyticsClient createKinesisAnalytics(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionKinesisAnalytics(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\KinesisAnalyticsV2\KinesisAnalyticsV2Client createKinesisAnalyticsV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionKinesisAnalyticsV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\KinesisVideo\KinesisVideoClient createKinesisVideo(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionKinesisVideo(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\KinesisVideoArchivedMedia\KinesisVideoArchivedMediaClient createKinesisVideoArchivedMedia(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionKinesisVideoArchivedMedia(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\KinesisVideoMedia\KinesisVideoMediaClient createKinesisVideoMedia(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionKinesisVideoMedia(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\KinesisVideoSignalingChannels\KinesisVideoSignalingChannelsClient createKinesisVideoSignalingChannels(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionKinesisVideoSignalingChannels(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\KinesisVideoWebRTCStorage\KinesisVideoWebRTCStorageClient createKinesisVideoWebRTCStorage(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionKinesisVideoWebRTCStorage(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Kms\KmsClient createKms(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionKms(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\LakeFormation\LakeFormationClient createLakeFormation(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionLakeFormation(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Lambda\LambdaClient createLambda(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionLambda(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\LexModelBuildingService\LexModelBuildingServiceClient createLexModelBuildingService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionLexModelBuildingService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\LexModelsV2\LexModelsV2Client createLexModelsV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionLexModelsV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\LexRuntimeService\LexRuntimeServiceClient createLexRuntimeService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionLexRuntimeService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\LexRuntimeV2\LexRuntimeV2Client createLexRuntimeV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionLexRuntimeV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\LicenseManager\LicenseManagerClient createLicenseManager(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionLicenseManager(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\LicenseManagerLinuxSubscriptions\LicenseManagerLinuxSubscriptionsClient createLicenseManagerLinuxSubscriptions(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionLicenseManagerLinuxSubscriptions(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\LicenseManagerUserSubscriptions\LicenseManagerUserSubscriptionsClient createLicenseManagerUserSubscriptions(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionLicenseManagerUserSubscriptions(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Lightsail\LightsailClient createLightsail(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionLightsail(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\LocationService\LocationServiceClient createLocationService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionLocationService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\LookoutEquipment\LookoutEquipmentClient createLookoutEquipment(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionLookoutEquipment(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\LookoutMetrics\LookoutMetricsClient createLookoutMetrics(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionLookoutMetrics(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\LookoutforVision\LookoutforVisionClient createLookoutforVision(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionLookoutforVision(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MQ\MQClient createMQ(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMQ(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MTurk\MTurkClient createMTurk(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMTurk(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MWAA\MWAAClient createMWAA(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMWAA(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MachineLearning\MachineLearningClient createMachineLearning(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMachineLearning(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Macie\MacieClient createMacie(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMacie(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Macie2\Macie2Client createMacie2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMacie2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MainframeModernization\MainframeModernizationClient createMainframeModernization(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMainframeModernization(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ManagedBlockchain\ManagedBlockchainClient createManagedBlockchain(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionManagedBlockchain(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ManagedBlockchainQuery\ManagedBlockchainQueryClient createManagedBlockchainQuery(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionManagedBlockchainQuery(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ManagedGrafana\ManagedGrafanaClient createManagedGrafana(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionManagedGrafana(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MarketplaceCatalog\MarketplaceCatalogClient createMarketplaceCatalog(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMarketplaceCatalog(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MarketplaceCommerceAnalytics\MarketplaceCommerceAnalyticsClient createMarketplaceCommerceAnalytics(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMarketplaceCommerceAnalytics(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MarketplaceEntitlementService\MarketplaceEntitlementServiceClient createMarketplaceEntitlementService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMarketplaceEntitlementService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MarketplaceMetering\MarketplaceMeteringClient createMarketplaceMetering(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMarketplaceMetering(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MediaConnect\MediaConnectClient createMediaConnect(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMediaConnect(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MediaConvert\MediaConvertClient createMediaConvert(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMediaConvert(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MediaLive\MediaLiveClient createMediaLive(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMediaLive(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MediaPackage\MediaPackageClient createMediaPackage(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMediaPackage(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MediaPackageV2\MediaPackageV2Client createMediaPackageV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMediaPackageV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MediaPackageVod\MediaPackageVodClient createMediaPackageVod(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMediaPackageVod(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MediaStore\MediaStoreClient createMediaStore(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMediaStore(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MediaStoreData\MediaStoreDataClient createMediaStoreData(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMediaStoreData(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MediaTailor\MediaTailorClient createMediaTailor(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMediaTailor(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MedicalImaging\MedicalImagingClient createMedicalImaging(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMedicalImaging(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MemoryDB\MemoryDBClient createMemoryDB(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMemoryDB(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MigrationHub\MigrationHubClient createMigrationHub(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMigrationHub(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MigrationHubConfig\MigrationHubConfigClient createMigrationHubConfig(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMigrationHubConfig(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MigrationHubOrchestrator\MigrationHubOrchestratorClient createMigrationHubOrchestrator(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMigrationHubOrchestrator(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MigrationHubRefactorSpaces\MigrationHubRefactorSpacesClient createMigrationHubRefactorSpaces(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMigrationHubRefactorSpaces(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MigrationHubStrategyRecommendations\MigrationHubStrategyRecommendationsClient createMigrationHubStrategyRecommendations(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMigrationHubStrategyRecommendations(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Mobile\MobileClient createMobile(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionMobile(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Neptune\NeptuneClient createNeptune(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionNeptune(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\NetworkFirewall\NetworkFirewallClient createNetworkFirewall(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionNetworkFirewall(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\NetworkManager\NetworkManagerClient createNetworkManager(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionNetworkManager(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\NimbleStudio\NimbleStudioClient createNimbleStudio(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionNimbleStudio(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\OAM\OAMClient createOAM(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionOAM(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\OSIS\OSISClient createOSIS(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionOSIS(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Omics\OmicsClient createOmics(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionOmics(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\OpenSearchServerless\OpenSearchServerlessClient createOpenSearchServerless(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionOpenSearchServerless(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\OpenSearchService\OpenSearchServiceClient createOpenSearchService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionOpenSearchService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\OpsWorks\OpsWorksClient createOpsWorks(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionOpsWorks(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\OpsWorksCM\OpsWorksCMClient createOpsWorksCM(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionOpsWorksCM(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Organizations\OrganizationsClient createOrganizations(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionOrganizations(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Outposts\OutpostsClient createOutposts(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionOutposts(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\PI\PIClient createPI(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionPI(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Panorama\PanoramaClient createPanorama(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionPanorama(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\PaymentCryptography\PaymentCryptographyClient createPaymentCryptography(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionPaymentCryptography(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\PaymentCryptographyData\PaymentCryptographyDataClient createPaymentCryptographyData(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionPaymentCryptographyData(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Personalize\PersonalizeClient createPersonalize(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionPersonalize(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\PersonalizeEvents\PersonalizeEventsClient createPersonalizeEvents(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionPersonalizeEvents(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\PersonalizeRuntime\PersonalizeRuntimeClient createPersonalizeRuntime(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionPersonalizeRuntime(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Pinpoint\PinpointClient createPinpoint(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionPinpoint(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\PinpointEmail\PinpointEmailClient createPinpointEmail(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionPinpointEmail(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\PinpointSMSVoice\PinpointSMSVoiceClient createPinpointSMSVoice(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionPinpointSMSVoice(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\PinpointSMSVoiceV2\PinpointSMSVoiceV2Client createPinpointSMSVoiceV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionPinpointSMSVoiceV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Pipes\PipesClient createPipes(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionPipes(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Polly\PollyClient createPolly(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionPolly(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Pricing\PricingClient createPricing(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionPricing(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\PrivateNetworks\PrivateNetworksClient createPrivateNetworks(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionPrivateNetworks(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\PrometheusService\PrometheusServiceClient createPrometheusService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionPrometheusService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Proton\ProtonClient createProton(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionProton(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\QLDB\QLDBClient createQLDB(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionQLDB(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\QLDBSession\QLDBSessionClient createQLDBSession(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionQLDBSession(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\QuickSight\QuickSightClient createQuickSight(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionQuickSight(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\RAM\RAMClient createRAM(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionRAM(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\RDSDataService\RDSDataServiceClient createRDSDataService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionRDSDataService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Rds\RdsClient createRds(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionRds(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\RecycleBin\RecycleBinClient createRecycleBin(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionRecycleBin(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Redshift\RedshiftClient createRedshift(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionRedshift(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\RedshiftDataAPIService\RedshiftDataAPIServiceClient createRedshiftDataAPIService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionRedshiftDataAPIService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\RedshiftServerless\RedshiftServerlessClient createRedshiftServerless(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionRedshiftServerless(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Rekognition\RekognitionClient createRekognition(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionRekognition(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ResilienceHub\ResilienceHubClient createResilienceHub(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionResilienceHub(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ResourceExplorer2\ResourceExplorer2Client createResourceExplorer2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionResourceExplorer2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ResourceGroups\ResourceGroupsClient createResourceGroups(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionResourceGroups(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ResourceGroupsTaggingAPI\ResourceGroupsTaggingAPIClient createResourceGroupsTaggingAPI(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionResourceGroupsTaggingAPI(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\RoboMaker\RoboMakerClient createRoboMaker(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionRoboMaker(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\RolesAnywhere\RolesAnywhereClient createRolesAnywhere(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionRolesAnywhere(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Route53\Route53Client createRoute53(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionRoute53(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Route53Domains\Route53DomainsClient createRoute53Domains(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionRoute53Domains(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Route53RecoveryCluster\Route53RecoveryClusterClient createRoute53RecoveryCluster(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionRoute53RecoveryCluster(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Route53RecoveryControlConfig\Route53RecoveryControlConfigClient createRoute53RecoveryControlConfig(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionRoute53RecoveryControlConfig(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Route53RecoveryReadiness\Route53RecoveryReadinessClient createRoute53RecoveryReadiness(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionRoute53RecoveryReadiness(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Route53Resolver\Route53ResolverClient createRoute53Resolver(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionRoute53Resolver(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\S3\S3Client createS3(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\S3\S3MultiRegionClient createMultiRegionS3(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\S3Control\S3ControlClient createS3Control(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionS3Control(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\S3Outposts\S3OutpostsClient createS3Outposts(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionS3Outposts(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SSMContacts\SSMContactsClient createSSMContacts(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSSMContacts(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SSMIncidents\SSMIncidentsClient createSSMIncidents(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSSMIncidents(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SSO\SSOClient createSSO(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSSO(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SSOAdmin\SSOAdminClient createSSOAdmin(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSSOAdmin(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SSOOIDC\SSOOIDCClient createSSOOIDC(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSSOOIDC(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SageMaker\SageMakerClient createSageMaker(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSageMaker(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SageMakerFeatureStoreRuntime\SageMakerFeatureStoreRuntimeClient createSageMakerFeatureStoreRuntime(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSageMakerFeatureStoreRuntime(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SageMakerGeospatial\SageMakerGeospatialClient createSageMakerGeospatial(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSageMakerGeospatial(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SageMakerMetrics\SageMakerMetricsClient createSageMakerMetrics(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSageMakerMetrics(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SageMakerRuntime\SageMakerRuntimeClient createSageMakerRuntime(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSageMakerRuntime(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SagemakerEdgeManager\SagemakerEdgeManagerClient createSagemakerEdgeManager(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSagemakerEdgeManager(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SavingsPlans\SavingsPlansClient createSavingsPlans(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSavingsPlans(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Scheduler\SchedulerClient createScheduler(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionScheduler(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Schemas\SchemasClient createSchemas(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSchemas(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SecretsManager\SecretsManagerClient createSecretsManager(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSecretsManager(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SecurityHub\SecurityHubClient createSecurityHub(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSecurityHub(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SecurityLake\SecurityLakeClient createSecurityLake(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSecurityLake(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ServerlessApplicationRepository\ServerlessApplicationRepositoryClient createServerlessApplicationRepository(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionServerlessApplicationRepository(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ServiceCatalog\ServiceCatalogClient createServiceCatalog(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionServiceCatalog(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ServiceDiscovery\ServiceDiscoveryClient createServiceDiscovery(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionServiceDiscovery(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ServiceQuotas\ServiceQuotasClient createServiceQuotas(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionServiceQuotas(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Ses\SesClient createSes(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSes(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SesV2\SesV2Client createSesV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSesV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Sfn\SfnClient createSfn(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSfn(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Shield\ShieldClient createShield(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionShield(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SimSpaceWeaver\SimSpaceWeaverClient createSimSpaceWeaver(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSimSpaceWeaver(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Sms\SmsClient createSms(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSms(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SnowBall\SnowBallClient createSnowBall(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSnowBall(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SnowDeviceManagement\SnowDeviceManagementClient createSnowDeviceManagement(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSnowDeviceManagement(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Sns\SnsClient createSns(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSns(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Sqs\SqsClient createSqs(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSqs(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Ssm\SsmClient createSsm(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSsm(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SsmSap\SsmSapClient createSsmSap(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSsmSap(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\StorageGateway\StorageGatewayClient createStorageGateway(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionStorageGateway(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Sts\StsClient createSts(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSts(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Support\SupportClient createSupport(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSupport(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\SupportApp\SupportAppClient createSupportApp(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSupportApp(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Swf\SwfClient createSwf(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSwf(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Synthetics\SyntheticsClient createSynthetics(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionSynthetics(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Textract\TextractClient createTextract(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionTextract(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\TimestreamQuery\TimestreamQueryClient createTimestreamQuery(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionTimestreamQuery(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\TimestreamWrite\TimestreamWriteClient createTimestreamWrite(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionTimestreamWrite(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Tnb\TnbClient createTnb(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionTnb(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\TranscribeService\TranscribeServiceClient createTranscribeService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionTranscribeService(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Transfer\TransferClient createTransfer(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionTransfer(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Translate\TranslateClient createTranslate(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionTranslate(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\VPCLattice\VPCLatticeClient createVPCLattice(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionVPCLattice(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\VerifiedPermissions\VerifiedPermissionsClient createVerifiedPermissions(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionVerifiedPermissions(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\VoiceID\VoiceIDClient createVoiceID(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionVoiceID(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\WAFV2\WAFV2Client createWAFV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionWAFV2(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\Waf\WafClient createWaf(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionWaf(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\WafRegional\WafRegionalClient createWafRegional(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionWafRegional(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\WellArchitected\WellArchitectedClient createWellArchitected(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionWellArchitected(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\WorkDocs\WorkDocsClient createWorkDocs(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionWorkDocs(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\WorkLink\WorkLinkClient createWorkLink(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionWorkLink(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\WorkMail\WorkMailClient createWorkMail(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionWorkMail(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\WorkMailMessageFlow\WorkMailMessageFlowClient createWorkMailMessageFlow(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionWorkMailMessageFlow(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\WorkSpaces\WorkSpacesClient createWorkSpaces(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionWorkSpaces(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\WorkSpacesWeb\WorkSpacesWebClient createWorkSpacesWeb(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionWorkSpacesWeb(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\XRay\XRayClient createXRay(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionXRay(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\drs\drsClient createdrs(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegiondrs(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\finspace\finspaceClient createfinspace(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionfinspace(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\imagebuilder\imagebuilderClient createimagebuilder(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionimagebuilder(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\ivschat\ivschatClient createivschat(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionivschat(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\kendra\kendraClient createkendra(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionkendra(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\mgn\mgnClient createmgn(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionmgn(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\signer\signerClient createsigner(array $args = [])
 * @method \Solid_Backups\Strauss\Aws\MultiRegionClient createMultiRegionsigner(array $args = [])
 */
class Sdk
{
    const VERSION = '3.278.3';

    /** @var array Arguments for creating clients */
    private $args;

    /**
     * Constructs a new SDK object with an associative array of default
     * client settings.
     *
     * @param array $args
     *
     * @throws \InvalidArgumentException
     * @see Solid_Backups\Strauss\Aws\AwsClient::__construct for a list of available options.
     */
    public function __construct(array $args = [])
    {
        $this->args = $args;

        if (!isset($args['handler']) && !isset($args['http_handler'])) {
            $this->args['http_handler'] = default_http_handler();
        }
    }

    public function __call($name, array $args)
    {
        $args = isset($args[0]) ? $args[0] : [];
        if (strpos($name, 'createMultiRegion') === 0) {
            return $this->createMultiRegionClient(substr($name, 17), $args);
        }

        if (strpos($name, 'create') === 0) {
            return $this->createClient(substr($name, 6), $args);
        }

        throw new \BadMethodCallException("Unknown method: {$name}.");
    }

    /**
     * Get a client by name using an array of constructor options.
     *
     * @param string $name Service name or namespace (e.g., DynamoDb, s3).
     * @param array  $args Arguments to configure the client.
     *
     * @return AwsClientInterface
     * @throws \InvalidArgumentException if any required options are missing or
     *                                   the service is not supported.
     * @see Solid_Backups\Strauss\Aws\AwsClient::__construct for a list of available options for args.
     */
    public function createClient($name, array $args = [])
    {
        // Get information about the service from the manifest file.
        $service = manifest($name);
        $namespace = $service['namespace'];

        // Instantiate the client class.
        $client = "Solid_Backups\\Strauss\\Aws\\{$namespace}\\{$namespace}Client";
        return new $client($this->mergeArgs($namespace, $service, $args));
    }

    public function createMultiRegionClient($name, array $args = [])
    {
        // Get information about the service from the manifest file.
        $service = manifest($name);
        $namespace = $service['namespace'];

        $klass = "Solid_Backups\\Strauss\\Aws\\{$namespace}\\{$namespace}MultiRegionClient";
        $klass = class_exists($klass) ? $klass : MultiRegionClient::class;

        return new $klass($this->mergeArgs($namespace, $service, $args));
    }

    /**
     * Clone existing SDK instance with ability to pass an associative array
     * of extra client settings.
     *
     * @param array $args
     *
     * @return self
     */
    public function copy(array $args = [])
    {
        return new self($args + $this->args);
    }

    private function mergeArgs($namespace, array $manifest, array $args = [])
    {
        // Merge provided args with stored, service-specific args.
        if (isset($this->args[$namespace])) {
            $args += $this->args[$namespace];
        }

        // Provide the endpoint prefix in the args.
        if (!isset($args['service'])) {
            $args['service'] = $manifest['endpoint'];
        }

        return $args + $this->args;
    }

    /**
     * Determine the endpoint prefix from a client namespace.
     *
     * @param string $name Namespace name
     *
     * @return string
     * @internal
     * @deprecated Use the `\Aws\manifest()` function instead.
     */
    public static function getEndpointPrefix($name)
    {
        return manifest($name)['endpoint'];
    }
}
