<?php 
	$slideshow = get_option('solostream_autoslide_pages');
	$slideshowspeed = get_option('solostream_autoslide_speed_pages'); 
?>

<script type="text/javascript">
//<![CDATA[
	jQuery(window).load(function() {
		jQuery('#featured-pages').flexslider({
			animation:'slide',
			controlNav:true,
			animationLoop:true,
			slideshow:<?php echo $slideshow; ?>,
			slideshowSpeed:<?php echo $slideshowspeed; ?>,
			useCSS:false,
			pauseOnHover:true,
			animationSpeed:300,
			controlsContainer: '.pages-slider',
			before: function(slider) {         
				if (slider.slides.eq(slider.currentSlide).find('iframe').length !== 0)
					$f(slider.slides.eq(slider.currentSlide).find('iframe').attr('id') ).api('pause');
				if (slider.slides.eq(slider.currentSlide).find('iframe[src*="youtube"]').length !== 0)
					callPlayer(slider.slides.eq(slider.currentSlide).find('iframe[src*="youtube"]').attr('id'), 'pauseVideo');
			}
		});
	});
//]]>
</script>

<div class="featured wide pages">

	<div id="featured-pages" class="myflexslider pages-slider">

		<ul class="slides">

<?php
global $postid;
global $do_not_duplicate;
if ( is_singular() && get_post_meta( $postid, 'featuredpages', true ) ) {
	$featpages = get_post_meta( $postid, 'featuredpages', true );
} else {
	$featpages = get_option('solostream_featpage_ids');
}
$featarr = explode(",",$featpages);
$featarr = array_diff($featarr, array(""));
$count = 1;
foreach ( $featarr as $featitem ) {

	$my_query = new WP_Query(array(
		'post_type' => array('post', 'page'),
		'page_id' => $featitem
	));

	while ($my_query->have_posts()) : $my_query->the_post();
	$do_not_duplicate[] = $post->ID;

	// Grab the Video Embed Code if there is one.
	$embed = get_post_meta( $post->ID, 'video_embed', true);

	// Extract the Vimeo video ID from the Video Embed Code (if there is one), and create a proper Vimeo video URL.
	$vimurl = '';
	if (preg_match('/player\.vimeo\.com\/video\/([0-9]{1,10})/', $embed, $vimid)) { $vimid = $vimid[1]; }
	if ($vimid) { $vimurl = 'http://player.vimeo.com/video/' . $vimid . '?api=1&amp;player_id=pages_player_' . $count . '&amp;byline=0&amp;portrait=0&amp;title=0'; }

	// Extract the Youtube video ID from the Video Embed Code (if there is one), and create a proper Youtube video URL.
	$yturl = '';
	if (preg_match('%(?:youtube(?:-nocookie)?\.com/(?:[^/]+/.+/|(?:v|e(?:mbed)?)/|.*[?&]v=)|youtu\.be/)([^"&?/ ]{11})%i', $embed, $ytid)) { $ytid = $ytid[1]; }
	if ($ytid) { $yturl = 'http://www.youtube.com/embed/' . $ytid . '?rel=0'; }
?>

	    		<li id="pages-feature-post-<?php echo $count; ?>">

				<div class="slide-container clearfix">

					<?php if ( $embed ) { ?>
						<div class="feature-video">
							<div class="video">
								<?php if ($yturl != '') { ?>
									<iframe id="pages_player_<?php echo $count; ?>" src="<?php echo $yturl; ?>&amp;wmode=transparent" width="1280" height="720" frameborder="0"></iframe>
								<?php } elseif ($vimurl != '') { ?>
									<iframe id="pages_player_<?php echo $count; ?>" src="<?php echo $vimurl; ?>&amp;wmode=transparent" width="1280" height="720" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>
								<?php } else { ?>
									<?php
										if (preg_match_all('/(<iframe)/', $embed, $matches)) {
											echo preg_replace('/(<iframe)/', '<iframe id="pages_player_' . $count . '" ', $embed);
										} else {
											echo $embed;
										}
									?>
								<?php } ?>
							</div>
						</div>
					<?php } else { ?>
						<div class="feature-image">
							<a href="<?php the_permalink() ?>" rel="nofollow" title="<?php _e("Permanent Link to", "solostream"); ?> <?php the_title(); ?>"><?php solostream_feature_image_wide(); ?></a>
						</div>
					<?php } ?>

					<div class="flex-caption">

						<h2 class="post-title"><a href="<?php the_permalink() ?>" rel="<?php _e("bookmark", "solostream"); ?>" title="<?php _e("Permanent Link to", "solostream"); ?> <?php the_title(); ?>"><?php the_title(); ?></a></h2>

						<?php if ('post' == get_post_type()) { get_template_part( 'postinfo' ); } ?>

						<div class="my-excerpt clearfix">

							<div class="excerpt-inner">
								<a class="more-link" href="<?php the_permalink() ?>" rel="nofollow" title="<?php _e("Permanent Link to", "solostream"); ?> <?php the_title(); ?>"><?php _e("Read More &raquo;", "solostream"); ?></a>
								<?php the_excerpt(); ?>
							</div>

						</div>

					</div>

				</div>

			</li>

<?php $count = $count + 1; ?>
<?php endwhile; wp_reset_query(); } ?>

		</ul>

	</div>

</div>

<div class="slide-shadow"></div>