<?php 

/*-----------------------------------------------------------------------------------*/
// 1. Main Javascripts for Theme
/*-----------------------------------------------------------------------------------*/

add_action('wp_print_scripts', 'solostream_theme_js');
function solostream_theme_js() {

	if (!is_admin()) {

		wp_deregister_script('hoverIntent');
		wp_register_script('hoverIntent', get_template_directory_uri(). '/js/hoverIntent.js', array('jquery'), 'r7', true);

		wp_enqueue_script('jquery');
		wp_enqueue_script( 'froogaloop', get_template_directory_uri(). '/js/froogaloop.js', array( 'jquery' ) );
		wp_enqueue_script( 'flexslider-min', get_template_directory_uri(). '/js/flexslider-min.js', array( 'jquery' ) );
		wp_enqueue_script( 'flex-script-main', get_template_directory_uri(). '/js/flex-script-main.js', array( 'jquery' ) );
		wp_enqueue_script( 'framework', get_template_directory_uri(). '/js/framework.js', array( 'jquery' ), '', true  );
		wp_enqueue_script( 'external', get_template_directory_uri(). '/js/external.js', array( 'jquery' ), '', true );
		wp_enqueue_script( 'hoverIntent' );
		wp_enqueue_script( 'superfish', get_template_directory_uri(). '/js/superfish.js', array( 'jquery' ), '', true );

		if ( get_option('solostream_show_topnav') == 'yes' ) {
			wp_enqueue_script( 'suckerfish',get_template_directory_uri(). '/js/suckerfish.js', '', '', true );
		}

		if ( get_option('solostream_show_catnav') == 'yes' ) {
			wp_enqueue_script( 'suckerfish-cat', get_template_directory_uri(). '/js/suckerfish-cat.js', '', '', true );
		}

		if ( get_option('solostream_responsive_off') != 'Yes' ) {
			wp_enqueue_script( 'mobilmenu', get_template_directory_uri(). '/js/jquery.mobilemenu.js', array( 'jquery' ), '', true );
		}

	}

}

/*-----------------------------------------------------------------------------------*/
// 2. JS For Mobile Menu and < IE9 Media Queries
/*-----------------------------------------------------------------------------------*/

function mobilemenu_js() { ?>

	<!-- MobileMenu JS -->
	<script type="text/javascript">
		jQuery(function () {
			jQuery('.nav').mobileMenu({ defaultText: '<?php _e("Navigate to ...", "solostream"); ?>' });
			jQuery('.catnav').mobileMenu({ defaultText: '<?php _e("Navigate to ...", "solostream"); ?>', className: 'select-menu-catnav' });
			jQuery('.fixednav').mobileMenu({ defaultText: '<?php _e("Navigate to ...", "solostream"); ?>', className: 'select-menu-fixednav' });
		});
	</script>

	<!-- Media Queries Script for IE8 and Older -->
	<!--[if lt IE 9]>
		<script type="text/javascript" src="http://css3-mediaqueries-js.googlecode.com/svn/trunk/css3-mediaqueries.js"></script>
	<![endif]-->

<?php }

/*-----------------------------------------------------------------------------------*/
// 3. Top Nav SuperFish
/*-----------------------------------------------------------------------------------*/

function topnav_superfish_js() { ?>

	<!-- TopNav Superfsh JS -->
	<script type="text/javascript">  
		jQuery(document).ready(function() { 
			jQuery('#topnav ul.nav').superfish({ 
				delay:		300,				// delay on mouseout 
				animation:	{opacity:'show',height:'show'},	// fade-in and slide-down animation 
				speed:		'fast',				// faster animation speed
				cssArrows:	false				// disable generation of arrow mark-up
			});  
		});  
	</script>

<?php }

/*-----------------------------------------------------------------------------------*/
// 4. Secondary Nav SuperFish
/*-----------------------------------------------------------------------------------*/

function catnav_superfish_js() { ?>

	<!-- CatNav Superfsh JS -->
	<script type="text/javascript">  
		jQuery(document).ready(function() { 
			jQuery('#catnav ul.catnav').superfish({ 
				delay:		300,				// delay on mouseout 
				animation:	{opacity:'show',height:'show'},	// fade-in and slide-down animation 
				speed:		'fast',				// faster animation speed
				cssArrows:	false				// disable generation of arrow mark-up
			}); 
		});  
	</script>

<?php }

/*-----------------------------------------------------------------------------------*/
// 5. Fixed Nav SuperFish
/*-----------------------------------------------------------------------------------*/

function fixed_superfish_js() { ?>

	<!-- FixedNav Superfsh JS -->
	<script type="text/javascript">  
		jQuery(document).ready(function() { 
			jQuery('#fixednav ul.fixednav').superfish({ 
				delay:		300,				// delay on mouseout 
				animation:	{opacity:'show',height:'show'},	// fade-in and slide-down animation 
				speed:		'fast',				// faster animation speed
				cssArrows:	false				// disable generation of arrow mark-up
			}); 
		});  
	</script>

<?php }

/*-----------------------------------------------------------------------------------*/
// 6. JS For Post Switching Function
/*-----------------------------------------------------------------------------------*/

function solostream_post_switch() { ?>

	<!-- jQuery for User-Controlled Layout Switch -->
	<script type="text/javascript">
		jQuery(document).ready(function() {
			jQuery("#onecol").click(function() {
				jQuery("#post-grid").removeClass("twocol");
				jQuery("#post-grid").removeClass("threecol");
				jQuery("#onecol").addClass("active");
				jQuery("#threecol").removeClass("active");
				jQuery("#twocol").removeClass("active");
				return false;
			});
			jQuery("#twocol").click(function() {
				jQuery("#post-grid").addClass("twocol");
				jQuery("#post-grid").removeClass("threecol");
				jQuery("#twocol").addClass("active");
				jQuery("#onecol").removeClass("active");
				jQuery("#threecol").removeClass("active");
				return false;
			});
			jQuery("#threecol").click(function() {
				jQuery("#post-grid").addClass("threecol");
				jQuery("#post-grid").removeClass("twocol");
				jQuery("#threecol").addClass("active");
				jQuery("#onecol").removeClass("active");
				jQuery("#twocol").removeClass("active");
				return false;
			});

		});
	</script>

<?php }


/*-----------------------------------------------------------------------------------*/
// 7. Add the Scripts
/*-----------------------------------------------------------------------------------*/
if ( !is_admin() ) { add_action('wp_footer', 'solostream_post_switch'); }
if ( !is_admin() && get_option('solostream_responsive_off') != 'Yes'  ) { add_action('wp_footer', 'mobilemenu_js'); }
if ( !is_admin() && get_option('solostream_show_topnav') != 'no' && !is_page_template('page-landing.php') ) { add_action('wp_footer', 'topnav_superfish_js'); }
if ( !is_admin() && get_option('solostream_show_catnav') == 'yes' ) { add_action('wp_footer', 'catnav_superfish_js'); }
if ( !is_admin() &&  has_nav_menu('fixednav') && !is_page_template('page-landing.php') ) { add_action('wp_footer', 'fixed_superfish_js'); }

?>